#ifndef _WINDOW_H_
#define _WINDOW_H_

#include <QWidget>
#include <QPushButton>
#include "ui_controlbanner.h"
#include "banner.h"



class CWindow:public QWidget,private Ui_FBanner{
    Q_OBJECT
public:
    CWindow(QWidget *parent=0);
    void readSettings();
    void writeSettings();
    virtual void closeEvent(QCloseEvent *event);
public slots:
    void setColorBanner();
    void setFontTextBanner();
    void setColorTextBanner();
    void setImage();
    void setTextBanner(const QString &ntexto);
    void activarMarquesina(bool value);
    void EjecutarMarquesina();
    void MostrarBanner();
private:
    /*QPushButton *pb_color_texto;
    QLineEdit *le_texto;  //
    QPushButton *pb_color; //
    QPushButton *pb_font; //*/
    CBanner *banner;
};

#endif
